

// Enhanced CString class

// Cribbed from Paul DiLascia, MSJ Nov. 1993 
// WL 29/12/95

#define CSTR const char *

class CEnhString : public CString
{
public:
	// Constructors
	CEnhString()	{ } 
	CEnhString(CSTR str) : CString(str)		{ }
	CEnhString(CString s) : CString(s)		{ }

	// Assignment
	const CEnhString& operator=(CSTR str)
		{ CString::operator=(str); return *this; }
	const CEnhString& operator=(CString s)
		{ CString::operator=(s); return *this; }

	// Useful stuff
	int printf(CSTR fmt, ...);
	int MessageBox(int type=MB_OK, CSTR caption=NULL)
		{ return ::MessageBox(NULL, (CSTR) (*this), caption, type); }
	void StripAnsi(void);
  void Replace(LPCTSTR targ, LPCTSTR repl);
};



